window.Gleam.initSearch([{"doc":"gleamrpc_http_server","title":"gleamrpc_http_server","content":"# gleamrpc_http_server\n\n[![Package Version](https://img.shields.io/hexpm/v/gleamrpc_http_server)](https://hex.pm/packages/gleamrpc_http_server)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleamrpc_http_server/)\n\n**HTTP server for GleamRPC**\n\nReceive your GleamRPC procedures via HTTP. Should be used with [gleamrpc_http_client](https://hexdocs.pm/gleamrpc_http_client).\n\nQuery data is sent in the request query while the Mutation&#39;s data is sent in the body in Json.\n\nThis package uses Mist under the hood.\n\n## Installation\n\n```sh\ngleam add gleamrpc_http_server@1\n```\n\n## Usage\n\n```gleam\nimport gleamrpc/http/server as rpchttp\nimport gleamrpc\nimport mist\n\npub fn main() {\n  gleamrpc.with_server(rpchttp.http_server())\n  |&gt; gleamrpc.with_context(create_context)\n  |&gt; gleamrpc.with_implementation(create_user_procedure, create_user)\n  |&gt; gleamrpc.with_implementation(get_user_procedure, get_user)\n  |&gt; rpchttp.init_mist(8080)\n  |&gt; mist.start_http()\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gleamrpc_http_server&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"gleamrpc/http/server","title":"HttpServerError","content":"pub type HttpServerError {\n  MethodUnsupported(method: http.Method)\n  NoNameError\n  WrongPrefix(path: String)\n}\n Custom errors generated by this server\nMethodUnsupported(method: http.Method)\n\n\nNoNameError\n\n\nWrongPrefix(path: String)\n\n\nSynonyms:\ngleamrpc/http/server.HttpServerError\ngleamrpc/http/server HttpServerError","url":"gleamrpc/http/server.html#HttpServerError"},{"doc":"gleamrpc/http/server","title":"http_server","content":"pub fn http_server() -&gt; ProcedureServer(\n  Request(Connection),\n  Response(ResponseData),\n  HttpServerError,\n)\n Return a GleamRPC server implementation that uses HTTP requests.  \n To be used with `gleamrpc.with_server`\nSynonyms:\ngleamrpc/http/server.http_server\ngleamrpc/http/server http_server","url":"gleamrpc/http/server.html#http_server"},{"doc":"gleamrpc/http/server","title":"init_mist","content":"pub fn init_mist(\n  server: ProcedureServerInstance(\n    Request(Connection),\n    Response(ResponseData),\n    a,\n    HttpServerError,\n  ),\n  port: Int,\n) -&gt; Builder(Connection, ResponseData)\n Using a ProcedureServerInstance, serve GleamRPC requests over HTTP with Mist  \n Example:\n \n \n gleamrpc.with_server(http_server())\n |&gt; gleamrpc.with_context(create_context)\n |&gt; gleamrpc.with_implementation(create_user_procedure, create_user)\n |&gt; gleamrpc.with_implementation(get_user_procedure, get_user)\n |&gt; init_mist(8080)\n |&gt; mist.start_http()\n \nSynonyms:\ngleamrpc/http/server.init_mist\ngleamrpc/http/server init_mist","url":"gleamrpc/http/server.html#init_mist"},{"doc":"gleamrpc/http/server","title":"gleamrpc/http/server","content":"","url":"gleamrpc/http/server.html"}]);